#include "udf.h"

DEFINE_PROFILE(velocity_inlet_profile, thread, position)
{
    face_t f;
    real NV_VEC(A);
    real velocity_magnitude = 4.0; // example----Setting speed of 4m/s

    begin_f_loop(f, thread)
    {
        F_AREA(A, f, thread); // Get the normal vector of the entrance surface
        F_PROFILE(f, thread, position) = velocity_magnitude * NV_MAG(A); // Set the velocity value in the direction of the normal
    }
    end_f_loop(f, thread)
}
